CAN_RXF0E_1_Type Union Reference

## Data Fields

struct {
uint32_t RXTS:16
uint32_t DLC:4
uint32_t BRS:1
uint32_t FDF:1
uint32_t __pad0__:2
uint32_t FIDX:7
uint32_t ANMF:1
} | bit
uint32_t | reg

## Detailed Description

Definition at line 2596 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_RXF0E_1_Type::__pad0__

bit: 22..23 Reserved

Definition at line 2602 of file can.h.

## ANMF

uint32_t CAN_RXF0E_1_Type::ANMF

bit: 31 Accepted Non-matching Frame

Definition at line 2604 of file can.h.

## bit

struct { ... } CAN_RXF0E_1_Type::bit

Structure used for bit access

## BRS

uint32_t CAN_RXF0E_1_Type::BRS

bit: 20 Bit Rate Search

Definition at line 2600 of file can.h.

## DLC

uint32_t CAN_RXF0E_1_Type::DLC

bit: 16..19 Data Length Code

Definition at line 2599 of file can.h.

## FDF

uint32_t CAN_RXF0E_1_Type::FDF

bit: 21 FD Format

Definition at line 2601 of file can.h.

## FIDX

uint32_t CAN_RXF0E_1_Type::FIDX

bit: 24..30 Filter Index

Definition at line 2603 of file can.h.

## reg

uint32_t CAN_RXF0E_1_Type::reg

Type used for register access

Definition at line 2606 of file can.h.

## RXTS

uint32_t CAN_RXF0E_1_Type::RXTS

bit: 0..15 Rx Timestamp

Definition at line 2598 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h